#ifndef CONTROLLER_H
#define CONTROLLER_H

#include "gaming-core/input/Buttons.h"

struct Controller {
    const ButtonList& list;
    const Button& left;
    const Button& right;
    const Button& up;
    const Button& down;
    const Button& jump;
    const Button& sneak;
    const Button& camLeft;
    const Button& camRight;
    const Button& camUp;
    const Button& camDown;

    Controller(Buttons& buttons);
};

#endif