#ifndef FRAMEBUFFERS_H
#define FRAMEBUFFERS_H

#include "gaming-core/utils/Size.h"
#include "gaming-core/wrapper/Framebuffer.h"

struct Framebuffers final {
    Framebuffers();
    void resize(const Size& size);
    bool init(const Size& size);

    Framebuffer<5> world;
    Framebuffer<1> ssao;
    Framebuffer<1> ssaoBlur;
    Framebuffer<1> shadow;
};

#endif